/* styles.login.css */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}

body, html {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

body, html {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

body {
    background: radial-gradient(circle, #1a1a2e, #16213e, #0f3460, #53354a, #2c003e);
    background-size: 200% 200%;
    animation: gradient 20s ease infinite;
}

@keyframes gradient {
    0% { background-position: 0% 0%; }
    25% { background-position: 50% 50%; }
    50% { background-position: 100% 100%; }
    75% { background-position: 50% 100%; }
    100% { background-position: 0% 0%; }
}

.login-box {
    width: 90%;
    max-width: 340px;
    padding: 60px 30px 45px 30px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: rgba(0, 0, 0, 0.2); /* Darker background */
    backdrop-filter: blur(15px);
    border-radius: 12px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.4);
    color: white;
    text-align: center;
}

h2 {
    margin-bottom: 20px;
    color: #ffffff;
}

.input {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
    width: 100%;
    height: 60px;
    padding: 6px 12px 6px 12px;
    line-height: 150%;
    border-radius: 6px;
    border: 1px solid rgb(52, 64, 84);
    background-color: rgba(0,0,0,0);
    color: #fff;
    box-shadow: rgba(0, 0, 0, 0) 0px 0px 0px 4px, color(srgb 0.0470588 0.0666667 0.113725 / 0.05) 0px 1px 2px 0px;
    cursor: text;
    font-size: 16px;
    font-weight: 400;
}

option {
    background-color: #fff;
    color: #000;
}

.input span {
    color: #fff;
    font-size: 18px;
    padding-right: 10px;
}

.input input {
    width: 100%;
    padding: 10px 10px 10px 5px;
    background: transparent;
    border: none;
    outline: none;
    color: #fff;
    font-size: 18px;
}

button {
    width: 100%;
    height: 60px;
    line-height: 60px;
    border-radius: 6px;
    border: 1px solid rgb(52, 64, 84);
    background-color: rgb(169, 197, 236);
    color: color(srgb 0.0784314 0.113725 0.172549);
    box-shadow: rgba(0, 0, 0, 0) 0px 0px 0px 4px, color(srgb 0.0470588 0.0666667 0.113725 / 0.05) 0px 1px 2px 0px;
    font-size: 18px;
    font-weight: 600;
    text-align: center;
    cursor: pointer;
    transition: 0.25s linear;
}

button:hover {
    background-color: rgb(189, 217, 246);
}

/* Loader */
.loader {
    display: none;
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    z-index: 100;
}

.spinner {
    width: 40px;
    height: 40px;
    border: 4px solid rgba(255, 255, 255, 0.3);
    border-top: 4px solid #fff;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}